import sys
import smbus

def _list_devices(_bus):
  for _address in range(3,120):
    try:
      _bus.read_byte(_address)
      print(' %02x' % _address) # Device address
    except:
      pass

try:
  _list_devices(smbus.SMBus(1))
except KeyboardInterrupt:
  print()
except Exception as _error:
  print('%s' % str(_error))
  sys.exit(1)
finally:
  sys.exit(0)
