from iotv import list_vertebrae,getdsetup,getasetup,din
from arinyo import readDigitalIndirect
from time import sleep
import sys,hw

def digitalVertebrae_list():
    vl = list_vertebrae()
    dict = {}
    for vert in vl:
        print("vert: 0x%X"%vert)
        if vert & 0x10:
            """jumpers = vert & 0x0F
            jumperAddr = bin(jumpers)[2::].zfill(4)
            try:
                aSetup = getasetup(jumperAddr) # Quan es crida un 2n cop dóna problemes
            except:
                print("Some problem calling getasetup()")
                sys.exit(1)
            print("aSetup = %s"%aSetup)"""
            pass
        elif vert & 0x20:
            jumpers = vert & 0x0F
            jumperAddr = bin(jumpers)[2::].zfill(4)
            try:
                #   dSetup = getdsetup(jumperAddr)
                dSetup = getdsetup(jumperAddr)
                print("dSetup = %s"%dSetup)
                dict[jumperAddr] = dSetup
            except:
                print("Some problem calling getdsetup()")
                sys.exit(1)
        else:
            jumperAddr = "????"
        sleep(.1)
    return dict

def readDigitalInputValues():
    digitalInputsList = []
    digitalInputValuesDict = {}
    digitalInputavertAddrsList = []
    for el in dict:
        bSomeInputs = False
        digitalInputDict = {}
        # print('"%s": "%s"'%(el,dict[el]),end=" ")
        if dict[el][7] == '1':
            # print(" side A input",end=" ")
            bSomeInputs = True
            digitalInputDict['side'] = "A"
            digitalInputDict['dvertAddr'] = el 
            digitalInputDict['value'] = din(el,"A")
        if dict[el][6] == '1':
            # print(" side A output",end=" ")
            pass
        if dict[el][3] == '1':
            # print(" side B input",end=" ")
            bSomeInputs = True
            digitalInputDict['side'] = "B"
            digitalInputDict['dvertAddr'] = el 
            digitalInputDict['value'] = din(el,"B")
        if dict[el][2] == '1':
            # print(" side B output",end=" ")
            pass
        if dict[el][0] == '1':
            # print(" side B touch",end=" ")
            bSomeInputs = True
            digitalInputDict['side'] = "B"
            digitalInputDict['dvertAddr'] = el 
            digitalInputDict['value'] = din(el,"B")
        if bSomeInputs:
            digitalInputsList.append(digitalInputDict)
        # print()
    # print(digitalInputsList)
    hwList = [item for item in dir(hw) if not item.startswith("__")]
    outText = ""
    for oid in hwList:
        obj = getattr(hw,oid)
        # print(obj["OID"])
        if "dvertAddr" in obj:
            rdi = readDigitalIndirect(obj,digitalInputsList)
            if rdi is not None:
                # print("%s: %s"%(obj["OID"],rdi))
                outText += "%s: %s\t"%(obj["OID"],rdi)
                digitalInputValuesDict[obj["OID"]] = rdi
        #if "avertAddr" in obj:
        #    print("%s (%s) is avertAddr at address %s and side %s"%(obj["OID"],obj["class"],obj["avertAddr"],obj["side"]))
    # print("{1}) {0}".format(outText,cmpt),end="\r")
    # print("{1}) {0}\t{2}".format(outText,cmpt,digitalInputValuesDict),end="\r")
    print("{1}) {0}".format(digitalInputValuesDict,cmpt),end="\r")


dict = digitalVertebrae_list()
print(dict)
try:
    cmpt = 0
    while True:
        digitalInputsList = []
        digitalInputValuesDict = {}
        digitalInputavertAddrsList = []
        for el in dict:
            bSomeInputs = False
            digitalInputDict = {}
            # print('"%s": "%s"'%(el,dict[el]),end=" ")
            if dict[el][7] == '1':
                # print(" side A input",end=" ")
                bSomeInputs = True
                digitalInputDict['side'] = "A"
                digitalInputDict['dvertAddr'] = el 
                digitalInputDict['value'] = din(el,"A")
            if dict[el][6] == '1':
                # print(" side A output",end=" ")
                pass
            if dict[el][3] == '1':
                # print(" side B input",end=" ")
                bSomeInputs = True
                digitalInputDict['side'] = "B"
                digitalInputDict['dvertAddr'] = el 
                digitalInputDict['value'] = din(el,"B")
            if dict[el][2] == '1':
                # print(" side B output",end=" ")
                pass
            if dict[el][0] == '1':
                # print(" side B touch",end=" ")
                bSomeInputs = True
                digitalInputDict['side'] = "B"
                digitalInputDict['dvertAddr'] = el 
                digitalInputDict['value'] = din(el,"B")
            if bSomeInputs:
                digitalInputsList.append(digitalInputDict)
            # print()
        # print(digitalInputsList)
        hwList = [item for item in dir(hw) if not item.startswith("__")]
        outText = ""
        for oid in hwList:
            obj = getattr(hw,oid)
            # print(obj["OID"])
            if "dvertAddr" in obj:
                rdi = readDigitalIndirect(obj,digitalInputsList)
                if rdi is not None:
                    # print("%s: %s"%(obj["OID"],rdi))
                    outText += "%s: %s\t"%(obj["OID"],rdi)
                    digitalInputValuesDict[obj["OID"]] = rdi
            #if "avertAddr" in obj:
            #    print("%s (%s) is avertAddr at address %s and side %s"%(obj["OID"],obj["class"],obj["avertAddr"],obj["side"]))
        # print("{1}) {0}".format(outText,cmpt),end="\r")
        # print("{1}) {0}\t{2}".format(outText,cmpt,digitalInputValuesDict),end="\r")
        print("{1}) {0}".format(digitalInputValuesDict,cmpt),end="\r")
        cmpt += 1
except KeyboardInterrupt:
    print()    
sys.exit(0)           
